freedict (2021.01.05-4) unstable; urgency=medium

  * Document that a lot of RAM is required to build this package (Closes
    #997521).
    FreeDict dictionaries are processed using a stylesheet that has a RAM
    requirement of > 16GB, see #998683. Rebuilds of the package have to
    provide more than 16GB of RAM.

 -- Sebastian Humenda <shumenda@gmx.de>  Sat, 06 Nov 2021 11:36:03 +0100

freedict (2021.01.05-3) unstable; urgency=medium

  * properly disable parallel builds (Closes: #982730)

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 03 Mar 2021 18:26:24 +0100

freedict (2021.01.05-2) unstable; urgency=medium

  * rules: Decrease --max-parallel to 1 (Closes: #982730)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 16 Feb 2021 22:45:56 +0100

freedict (2021.01.05-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 06 Jan 2021 14:16:14 +0100

freedict (2018.10.21-3) unstable; urgency=medium

  * fixing FTBFS by import upstream fixes

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 31 Jan 2019 13:18:32 +0100

freedict (2018.10.21-2) unstable; urgency=medium

  * depend on the latest freedict-tools (required for phoneme generation)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 29 Jan 2019 16:01:41 +0100

freedict (2018.10.21-1) unstable; urgency=medium

  [ Sebastian Humenda ]
  * new upstream release(s)
  * drop wikdict dictionaries, shipped in a separate source package; this
    doesn't affect users and is a source package change
  * drop dict-freedict-all package: this package cannot be auto-generated
    anymore, due to the source package split
  * fix stderr/stdout redirection in maintainer scripts (Closes: #908189)

  [ Sébastien Villemot ]
  * Support parallel keyword of DEB_BUILD_OPTIONS

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 29 Oct 2018 12:59:12 +0200

freedict (2016.12.12-1) unstable; urgency=medium

  * new upstream versions of fra-deu and deu-fra
  * new dictionaries swe-deu and deu-swe
  * correct missing line breaks (Closes: #847689)

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 12 Dec 2016 18:13:16 +0100

freedict (2016.10.22-2) unstable; urgency=medium

  * add patch to build jpn-eng; jpn-eng can take more than 150 minutes to
    build (on slower machines) and this could trigger a FTBFS; there's an
    indication on stdout now that the conversion still runs (closes: #844813)

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 30 Nov 2016 10:41:12 +0100

freedict (2016.10.22-1) unstable; urgency=medium

  * new upstream version
  * add patch to correct incorrect translation of eng-hin (Closes: #771289)
  * fix typo in dict-freedict-all description (Closes: 769762)
  * drop OpenDict support

 -- Sebastian Humenda <shumenda@gmx.de>  Sat, 22 Oct 2016 18:02:33 +0000

freedict (2014.10.22-2) unstable; urgency=medium

  * disable concurrent builds (Closes: #768720)

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 12 Nov 2014 20:45:57 +0000

freedict (2014.10.22-1) unstable; urgency=medium

  * new upstream version (eng-deu / deu-eng)

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 24 Oct 2014 18:50:22 +0100

freedict (2014.09.20-2) unstable; urgency=medium

  * new upstream release of hun-eng (Closes: #759952)

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 21 Sep 2014 14:54:05 +0100

freedict (2014.02.17-1) unstable; urgency=low

  * check whether a dict server is installed in the maintainer scripts, before
    restarting the dictd server (Closes: #738881)
  * import new source, where a fixed build system comes along. There are no
    databases anymore with 00-database-short being wrongly indexed.
    (Closes: 738968)
      + this also re-imports hun-eng and eng-hun with an updated source. the
        old one produced empty dictionaries
      + afr-deu is also re-imported which had a lot of doubled definitions
      + eng-rus is re-imported which had a lot of invalid unicode signs
      + some dictionaries were not build due to a missing phoneme generator;
      phoneme generation has been disabled for Debian (see README.Debian)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 18 Feb 2014 11:37:34 +0200

freedict (2014.02.02-1) unstable; urgency=low

  * mention license of freedict.css of each subdirectory in copyright
    (Closes: #737100)
  * re-work the whole debian/copyright management, much more detailed now and
    machine-readable
  * import new upstream version where bugs where fixed and dictionaries eng-swh
    and swh-eng were added

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 09 Feb 2014 13:47:33 +0200

freedict (2013.11.30-1) unstable; urgency=low

  * new maintainer (Closes: 704967)
  * upstream fixed wrong translation in eng-deu (Closes: #652124)
  * fix [upstream] incorrect words in deu-eng and reimport it from upstream
    (Closes: #630374)
  * import of new upstream version
  * reworked [completely] debian build infrastructure
       * debian/control is now autogenerated
  * bump standards-version

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 15 Dec 2013 10:52:35 +0200

freedict (1.3-4) unstable; urgency=low

  * Removed file debian/header_utf8.txt, because since dict (>> 1.10.0) this
    header no longer needed.
  * Changed word "Africaans" to "Afrikaans" in the package description
    and in the files debian/languagelist and debian/patches/afr-deu.diff
    (Closes: #455267).
  * Changed "to deserves" to "to deserve" in the translation of the deu-eng
    dictionary (Closes: #448030).
  * Substituted all occurrences of the letters 'ô' to 'ő' and 'û' to 'ű' in
    the eng-hun and hun-eng dictionaries (Closes: #411994). Also added some
    missing spaces between words in the definitions of the eng-hun dictionary.
  * Removed the Esperanto translations parts from the spa-eng dictionary
    (Closes: #254697). Also added many missing spaces between words and
    removed the many duplicated translation entries for the many words in this
    dictionary.
  * debian/control:
    - added Homepage field in the source package.
    - changed "dict-freedict" to "dictd-dictionary" in the Provides field
      of the binary packages in accordance with debian-policy 3.7.3
      (Closes: #466210).
    - bumped Standards-Version to 3.7.3.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 17 Feb 2008 12:24:04 +0200

freedict (1.3-3) unstable; urgency=low

  * debian/patches:
    - substituted all occurrences of 'ĳ' to 'ij' in deu-nld, eng-nld, fra-nld,
      nld-deu, nld-eng and nld-fra dictionaries (Closes: #381054).
    - removed some duplicated entries in the eng-iri and iri-eng dictionaries.
  * Added the plugin files for the OpenDict dictionary. For that added files
    debian/{languagelist, opendict-plugin.xml, dict-freedict-lang-dirs.tmpl,
    dict-freedict-lang-links.tmpl} and removed file debian/dirs.
  * debian/control:
    - added the packages opendict, serpento and kdict to Suggests.
    - improved long description.
  * Improved the debian/README.Debian file.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed,  9 Aug 2006 13:23:30 +0300

freedict (1.3-2) unstable; urgency=low

  * Use 'invoke-rc.d dictd' instead of '/etc/init.d/dictd' (Closes: #367738).
    Thanks to Lars Wirzenius.
  * debian/compat: use DH_COMPAT 5
  * debian/control:
    - changed Build-Depends on debhelper (>= 5.0.0).
    - bumped Standards-Version to 3.7.2. No changes required.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 22 May 2006 09:39:04 +0300

freedict (1.3-1) unstable; urgency=low

  * Updated with new upstream versions of eng-ara, hun-eng (Closes: #337130),
    swa-eng and tur-eng dictionaries, added new dictionaries: cro-eng, eng-cro,
    eng-cze, eng-hin, eng-swa, eng-tur and hin-eng. So, the source tarball
    version bumped to 1.3.
  * debian/control:
    - changed Build-Depends on dictfmt package to dictfmt (>> 1.10.0);
    - removed Build-Depends on locales package, because option
      '--locale xx_YY.UTF-8' is no more required for dictfmt.
  * Changed the word 'Nederland' to 'Dutch' in the package descriptions
    (debian/control) and in the dictionary headers for dictionaries: deu-nld,
    eng-nld, fra-nld, nld-deu, nld-eng and nld-fra (Closes: #330802).
  * The dictionary sco-deu renamed to gla-deu, and in the package descriptions
    and in the dictionary header reference 'Scottish' changed to
    'Scottish Gaelic'. Added 'Conflicts: dict-freedict-sco-deu' and
    'Replaces: dict-freedict-sco-deu' to dict-freedict-gla-deu package.
    Thanks to Justin B Rye <jbr@edlug.org.uk> (Closes: #318025).
  * Fixed typo in debian/postinst. Thanks to Jens Seidel
    <jensseidel@users.sf.net> (Closes: #335378).
  * debian/copyright: changed 'Authors:' and 'Copyright:' parts of this file,
    by naming all authors of each dictionary. Thanks to Joost van Baal
    <joostvb@mdcc.cx> for suggestion.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 12 Dec 2005 08:54:25 +0200

freedict (1.2-1) unstable; urgency=low

  * New maintainer (Closes: #206113).
  * Updated with the new upstream versions (all, except eng-hun, hun-eng
    and eng-por) (Closes: #148209, #154537) . Added new dictionaries:
    eng-ara, eng-rom, eng-scr, ita-eng (Closes: #309814) and wel-eng.
    So, the source tarball version bumped to 1.2.
  * All the dictionaries unformated, fixed the headers, removed the
    many duplicated entries for most words in the dictionaries (but
    not all) (Closes: #186044), and formated using locale en_US.UTF-8
    again (Closes: #145584, #164559, #222853, #320474):
    - now all dictionaries have header 00-database-utf8 in dict
      files (Closes: #174695, #317078).
    - fixed some spelling mistakes in the eng-fra dictionary
      (Closes: #302549, #310857).
    - changed incorrect entry for "elemination" to "elimination" in the
      eng-deu dictionary (Closes: #284496).
    - corrected the references to "Africaan" in the afr-deu dictionary to
      "Afrikaans" (Closes: #318024).
  * Changed files debian/{postinst, postrm} (Closes: #215001).
  * Added the file debian/README.Debian with a note about encoding. Added
    the warning about setting locale in /etc/defaults/dictd to the file
    debian/postinst (Closes: #179281, #226895, #159304).
  * Removed the files from debian directory: control.tmpl, gencontrol.py
    and namefixup.py (no need any more) (Closes: #215014).
  * debian/control:
    - bumped Standards-Version to 3.6.2 (no changes required).
    - removed Build-Depends on python2.3 and python2.3-dictdlib packages
      and added Build-Depends on dictfmt and locales packages.
    - removed dict-freedict meta-package, and added providing the virtual
      dict-freedict package (Closes: #205417).
    - added the new binary packages for dictionaries eng-ara, eng-rom,
      eng-scr, ita-eng and wel-eng.
    - slo-eng package description changed to "Slovak-..." instead of
      "Slovenian-..." (Closes: #164838).
  * debian/copyright:
    - fixed the text formating (Closes: #226904).
    - changed the postall adress of the FSF.
   * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 14 Aug 2005 02:42:23 +0300

freedict (1.1-4) unstable; urgency=low

  * QA Upload
  * Dude! I forgot to update debian/control.tmpl in my lastest upload. Fixed
    now. (closes: #212084, #183550)

 -- Pierre Machard <pmachard@debian.org>  Fri, 26 Sep 2003 20:21:51 +0200

freedict (1.1-3) unstable; urgency=low

  * QA Upload.
  * Update Python to 2.3.
  * Update build-depends to python2.3-dictdlib (closes: #212084).
  * Fix spelling error in dict-freedict-por-eng description (closes: #183550).
  * Update Standards Version to 3.6.1.

 -- Pierre Machard <pmachard@debian.org>  Fri, 26 Sep 2003 18:58:43 +0200

freedict (1.1-2) unstable; urgency=low

  * Orphaning this package.  Set maintainer to QA group.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 15:54:34 -0500

freedict (1.1-1) unstable; urgency=low

  * Updated with new upstream versions of eng-nld, hun-eng, eng-hun,
    eng-fra, spa-eng, and deu-eng in hopes that this will fix
    some encoding problems people have seen.
  * Correct description of French dictionary.  Closes: 146212.
  * Removed obsolete dictdlib.py from source.  Now use separate package
    python2.2-dictdlib.
  * Removed bin directory kludge from rules -- no longer necessary.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  5 Feb 2003 15:41:00 -0600

freedict (1.0-2) unstable; urgency=low

  * Uses the new dictdlib to fix some of the shortnames internally
    in some dictionaries.
  * Added new dict-freedict meta-package for people that wish to install
    the entire Freedict lexicon.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  2 May 2002 15:08:47 -0500

freedict (1.0-1) unstable; urgency=low

  * Initial Release.  Closes: #143755.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Apr 2002 20:28:21 -0500
